Re: udev: disable mtd_probe?

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]


On Mon, Jul 18, 2011 at 23:22, Gabor Z. Papp <gzp@xxxxxxx> wrote:
> * Kay Sievers <kay.sievers@xxxxxxxx>:
>
> | > Linux gzp1 2.6.32.42 #1 SMP PREEMPT Mon Jun 27 09:36:50 CEST 2011 i686 GNU/Linux
> | >
> | > and:
> | >
> | > extras/input_id/input_id.c: In function 'test_key':
> | > extras/input_id/input_id.c:173: error: 'BTN_TRIGGER_HAPPY' undeclared (first use in this function)
>
> | You just need recent kernel headers to compile udev.
>
> Requirements:
>  - Version 2.6.32 of the Linux kernel with sysfs, procfs, signalfd, inotify, unix domain sockets, networking and hotplug enabled
>

That's the runtime dependency. The build dependency might be more
recent. We usually don't really check what's needed, as long as it is
on the last released and current distro nobody really knows when it
was introduced. In this case. seems, it's at least 2.6.34.

It's generally not a good idea to build new low-level tools against
outdated kernels or run new low-level tools against them. Things can
easily go wrong. We usually only test the other way around: new
kernels on old userspace. That should work fine for quite a while.

Kay
--
To unsubscribe from this list: send the line "unsubscribe linux-hotplug" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html


[Linux DVB]     [Video Technology]     [Asterisk]     [Photo]     [DCCP]     [Netdev]     [Xorg]     [Util Linux NG]     [Xfree86]     [Devices]     [Fedora Women]     [ALSA Devel]     [Linux USB]

Add to Google Powered by Linux